#!/usr/bin/env node

const commander = require('commander');
const packageJson = require('./package.json');
const problems = require('./problems');

commander
	.version(packageJson.version)
	.option('-l, --lower <number>', 'The min number to be used when executing a problem')
	.option('-u, --upper <number>', 'The max number to be used when executing a problem');

commander
	.command('1')
	.description('Multiples of 3 and 5')
	.action(() => problems.problem1(commander.lower, commander.upper));

commander
	.command('2')
	.description('Even Fibonacci numbers')
	.action(() => problems.problem2(commander.upper));

commander
	.command('3')
	.description('Largest prime factor')
	.action(() => problems.problem3(commander.upper));

commander.parse(process.argv);

if (!commander.args.length) {
	commander.help();
}